|Home | Tutorial | Classes | Functions | QSA Workbench | Language | Qt API | QSA Articles | Qt Script for Applications |

# QSStackTrace Class Reference

The QSStackTrace class describes a stack trace after an error has occurred in the interpreter. More...

`#include <qsinterpreter.h>`

List of all member functions.

## Public Members

- QString toString () const

## Detailed Description

The QSStackTrace class describes a stack trace after an error has occurred in the interpreter.

The QSStackTrace contains a list of QSStackFrame objects that together describe the call stack of the interpreter at the point when an error occurred.

## Member Function Documentation

### QString QSStackTrace::toString () const

Convenience function for describing the stack trace.

Each stack frame has the following format:

      function(scriptName:lineNumber) context

This file is part of Qt Script for Applications, copyright © 2001-2004 Trolltech. All Rights Reserved.